<?php

namespace UnicaenDbImport\Filter\ColumnValue;

/**
 * Interface de transformation d'une valeur de colonne/attribut issu de la source
 * en une valeur de colonne destination.
 *
 * @author Unicaen
 */
interface ColumnValueFilterInterface
{
    /**
     * Retourne une représentation littérale de ce filtre.
     *
     * @return string
     */
    public function __toString(): string;

    /**
     * Permet de fournir d'éventuels attributs libres complémentaires (contexte, etc.)
     *
     * @param array $params
     */
    public function setParams(array $params);

    /**
     * @param string $name Nom de colonne/attribut source
     * @param mixed $value Valeur de colonne/attribut source
     * @return mixed Valeur de colonne destination
     */
    public function filter(string $name, $value);
}